package nsdb;
public class NucSeqHelper
{
	public NucSeqHelper()
	{
	}
	public static void insert(org.omg.CORBA.Any any, nsdb.NucSeq s)
	{
		any.insert_Object(s);
	}
	public static nsdb.NucSeq extract(org.omg.CORBA.Any any)
	{
		return narrow(any.extract_Object());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return org.omg.CORBA.ORB.init().create_interface_tc( "IDL:nsdb/NucSeq:1.0", "NucSeq");
	}
	public static String id()
	{
		return "IDL:nsdb/NucSeq:1.0";
	}
	public static NucSeq read(org.omg.CORBA.portable.InputStream in)
	{
		return narrow( in.read_Object());
	}
	public static void write(org.omg.CORBA.portable.OutputStream _out, nsdb.NucSeq s)
	{
		_out.write_Object(s);
	}
	public static nsdb.NucSeq narrow(org.omg.CORBA.Object obj)
	{
		try
		{
			return (nsdb.NucSeq)obj;
		}
		catch( ClassCastException c )
		{
			if( obj._is_a("IDL:nsdb/NucSeq:1.0"))
			{
				nsdb._NucSeqStub stub;
				stub = new nsdb._NucSeqStub();
				stub._set_delegate(((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate());
				return stub;
			}
		}
		return null;
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream _out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
}
